# $Revision: 1.7.2.2 $, $Date: 2006/09/06 16:14:26 $
Summary:	Python wrappers for libxf86config
Summary(pl):	Pythonowe dowizania do libxf86config
Name:		python-xf86config
Version:	0.3.24
Release:	1
License:	GPL
Group:		Libraries
Source0:	pyxf86config-%{version}.tar.gz
# Source0-md5:	43488299e096b3fed4f080579f9e7fbb
Patch0:		%{name}-xorg.patch
URL:		http://www.redhat.com/
BuildRequires:	XFree86-devel
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	python-devel
%pyrequires_eq	python-libs
ExcludeArch:	ppc64 s390 s390x
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python wrappers for the X server config file library libxf86config. It
is used to read and write X server configuration files.

%description -l pl
Pythonowe dowizania do biblioteki pliku konfiguracyjnego X serwera
libxf86config. Jest ona wykorzystywana do odczytywania i zapisywania
plikw konfiguracyjnych X serwera.

%prep
%setup -q -n pyxf86config-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-python-version=%{py_ver}
%{__make} \
	AM_CFLAGS="-fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS AUTHORS ChangeLog
%attr(755,root,root) %{py_sitedir}/ixf86configmodule.so
%{py_sitedir}/xf86config.py[co]

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-xf86config.spec,v $
Revision 1.7.2.2  2006/09/06 16:14:26  glen
- rel 1

Revision 1.7.2.1  2006/05/24 22:34:26  glen
- remove xorg

Revision 1.7  2006/05/24 22:25:23  glen
- 0.3.24, needs de-xorgifizing

Revision 1.6  2006/01/02 08:18:44  arekm
- rel 2

Revision 1.5  2005/12/26 00:41:01  qboosh
- use PIC; but needs libxf86config with PIC

Revision 1.4  2005/04/24 14:42:12  qboosh
- more cleanups, refresh config.sub, removed invalid preun

Revision 1.3  2005/04/24 10:39:58  troll
- missing CVS tag
- use unified macros
- added polish description
- cosmetics

Revision 1.2  2005/04/23 21:32:57  patrys
- fixed deps

Revision 1.1  2005/04/23 21:30:07  patrys
- Initial PLD release
